#if !defined(AFX_EDITVWVPG_H__2E7A460E_08BB_4454_9F08_F13FEEC9C35E__INCLUDED_)
#define AFX_EDITVWVPG_H__2E7A460E_08BB_4454_9F08_F13FEEC9C35E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditVWVPg.h : ヘッダー ファイル
//

#include "EditVPg.h"

/////////////////////////////////////////////////////////////////////////////
// CEditVWVPg ダイアログ

class CEditVWVPg : public CEditVPg
{
	// 
	int m_wvct;
	// 
	int m_nVal;

public:
	// 
	CEditVWVPg(CEditVCtx &vctx, CWnd* pParent = NULL): CEditVPg(vctx, pParent) { }
	// 
	virtual void Construction();
	// 
	virtual UINT GetVal()
	{
		return (WORD)m_nVal;
	}
	// 
	virtual LPCTSTR GetTemplateName() { return MAKEINTRESOURCE(IDD); }

// ダイアログ データ
	//{{AFX_DATA(CEditVWVPg)
	enum { IDD = IDD_EDITV_WV };
	int		m_iSel;
	CString	m_strVal;
	//}}AFX_DATA


// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CEditVWVPg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:

	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CEditVWVPg)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnRadioD10();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_EDITVWVPG_H__2E7A460E_08BB_4454_9F08_F13FEEC9C35E__INCLUDED_)
